Package org.apache.sling.graphql.helpers.lazyloading

# Class LazyLoadingField<T>

java.lang.Object
org.apache.sling.graphql.helpers.lazyloading.LazyLoadingField<T>

public class LazyLoadingField<T> extends Object
Helper for a single lazy-loading value

## Constructor Summary

Constructors
Constructor
Description
`LazyLoadingField(Supplier<T> supplier)`

## Method Summary

Modifier and Type
Method
Description
`T`
`get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LazyLoadingField

public LazyLoadingField(Supplier<T> supplier)

## Method Details

### get

public T get()